#! /usr/bin/python
# for Apple Pi
# (C)Copyright 2015 All rights reserved by Y.Onodera
# http://einstlab.web.fc2.com

import RPi.GPIO as GPIO
import time
import sys

GPIO_SW1 = 22
GPIO_SW2 = 23
GPIO_SW3 = 24
GPIO_SW4 = 25
GPIO_SW5 = 26
GPIO_SW6 = 27

GPIO_LED1 = 5
GPIO_LED2 = 6

def callbackSW1(pin):
	GPIO.output(GPIO_LED1, GPIO.HIGH)
	time.sleep(0.1)

def callbackSW2(pin):
	GPIO.output(GPIO_LED1, GPIO.LOW)
	time.sleep(0.1)

def callbackSW3(pin):
        GPIO.output(GPIO_LED2, GPIO.HIGH)
        time.sleep(0.1)

def callbackSW4(pin):
        GPIO.output(GPIO_LED2, GPIO.LOW)
        time.sleep(0.1)

def callbackSW6(pin):
        sys.exit(0)

GPIO.setwarnings(False)
GPIO.setmode(GPIO.BCM)
GPIO.setup(GPIO_SW1, GPIO.IN, pull_up_down=GPIO.PUD_UP)
GPIO.setup(GPIO_SW2, GPIO.IN, pull_up_down=GPIO.PUD_UP)
GPIO.setup(GPIO_SW3, GPIO.IN, pull_up_down=GPIO.PUD_UP)
GPIO.setup(GPIO_SW4, GPIO.IN, pull_up_down=GPIO.PUD_UP)
GPIO.setup(GPIO_SW5, GPIO.IN, pull_up_down=GPIO.PUD_UP)
GPIO.setup(GPIO_SW6, GPIO.IN, pull_up_down=GPIO.PUD_UP)
GPIO.setup(GPIO_LED1, GPIO.OUT)
GPIO.output(GPIO_LED1, GPIO.LOW)
GPIO.setup(GPIO_LED2, GPIO.OUT)
GPIO.output(GPIO_LED2, GPIO.LOW)

GPIO.add_event_detect(GPIO_SW1, GPIO.FALLING)
GPIO.add_event_callback(GPIO_SW1, callbackSW1)
GPIO.add_event_detect(GPIO_SW2, GPIO.FALLING)
GPIO.add_event_callback(GPIO_SW2, callbackSW2)
GPIO.add_event_detect(GPIO_SW3, GPIO.FALLING)
GPIO.add_event_callback(GPIO_SW3, callbackSW3)
GPIO.add_event_detect(GPIO_SW4, GPIO.FALLING)
GPIO.add_event_callback(GPIO_SW4, callbackSW4)
GPIO.add_event_detect(GPIO_SW6, GPIO.FALLING)
GPIO.add_event_callback(GPIO_SW6, callbackSW6)

try:
	while True:
		time.sleep(1)

except:
	GPIO.cleanup()




